/*!
  \example swapSample.cpp

  \brief URG オブジェクトの交換サンプル

  シリアル ID によって URG の通信オブジェクトを交換する場合は、swapConnection() を用いるとよい

  \author Satofumi KAMIMURA

  $Id: swapSample.cpp 778 2009-05-05 08:13:45Z satofumi $
*/

#include "UrgCtrl.h"
#include "ConnectionUtils.h"
#include <SDL.h>

using namespace qrk;


int main(int argc, char *argv[])
{
  UrgCtrl urg_0;
  UrgCtrl urg_1;

  swapConnection<UrgCtrl>(urg_0, urg_1);

  return 0;
}
